Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2005-AVI-487

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 27 février 2006
No CERTA-2005-AVI-487-005

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilité de Ethereal


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2005-AVI-487

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2005-AVI-487-005
Titre Vulnérabilité de Ethereal
Date de la première version 13 décembre 2005
Date de la dernière version 27 février 2006
Source(s) Bulletin de sécurité Debian DSA-920 du 13 décembre 2005
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Déni de service ;
  • exécution de code arbitraire à distance.

2 Systèmes affectés

Ethereal versions 0.10.13 et antérieures.

3 Résumé

Une vulnérabilité dans Ethereal permet à un utilisateur mal intentionné de réaliser des dénis de service ou d'exécuter du code arbitraire à distance sur la plate-forme vulnérable.

4 Description

Le logiciel Ethereal permet de capturer des trames réseau et d'effectuer de multiples actions sur celles-ci afin de faciliter leur analyse.
Une vulnérabilité de type débordement de mémoire dans la fonction dissect_ospf_v3_address_prefix(), fonction impliquée dans le traitement du protocole OSPF, permet à un utilisateur mal intentionné de réaliser des dénis de service ou d'exécuter du code arbitraire à distance sur la plate-forme vulnérable.

5 Contournement provisoire

Il est possible de désactiver l'interprétation OSPF par Ethereal :
  • Sur plate-forme UNIX : echo ospf » /.ethereal/disabled_protos ;
  • sur plate-forme Windows : ajouter ospf au fichier disabled_protos qui se trouve dans le répertoire des préférences de l'utilisateur (typiquement %APPDATA%/TT>).

6 Solution

Mettre à jour Ethereal à partir du code source en utilisant le dernier code source disponible via subversion (vérifier que le fichier packet-ospf.c est en révision 16507 ou toute révision supérieure).
Dans tous les cas, se référer au bulletin de l'éditeur pour l'obtention de correctifs (cf. Documentation).

7 Documentation

Gestion détaillée du document

13 décembre 2005
version initiale.
15 décembre 2005
ajout des références aux bulletins de sécurité Mandriva et Gentoo.
29 décembre 2005
ajout de la référence au bulletin de sécurité Ethereal.
04 janvier 2006
ajout de la référence au bulletin de sécurité Mandriva.
13 janvier 2006
ajout de la référence au bulletin de sécurité RedHat.
27 février 2006
ajout de la référence au bulletin de sécurité SUSE.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-06-22